//
//  Drawing.m
//  Drawing
//
//  Created by Hans Kamp on 25-03-13.
//  Copyright (c) 2013 Hans Kamp. All rights reserved.
//

#import "Drawing.h"

@implementation Drawing
- (id) initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        originalBounds = [self bounds];
    }
    NSLog(@"Init");
    return self;
    
}

- (void) setFrameSize:(NSSize)newSize {
    [super setFrameSize:newSize];
    NSLog(@"SetFrameSize");
    [self setBounds:originalBounds];
}

- (void) drawRect:(NSRect)frame {
    [[NSColor redColor] set];
    [NSBezierPath fillRect:frame];
    NSLog(@"DrawRect");
}

@end
